# API input

### Header <a href="#header" id="header"></a>

When interacting with Kaiko HTTP APIs, you are expected to pass two pieces of information in a header:

* `Accept: application/json`: API responses will be in JSON format.
* `Accept-Encoding: gzip`: All our endpoints benefit from use of compression.

```
curl --compressed -H 'Accept: application/json' 'https://<api_hostname>/<endpoint>'
```

### Timestamp input <a href="#timestamp-input" id="timestamp-input"></a>

All time parameters are in UTC time zone and returned in the following ISO 8601 datetime format:

`YYYY-MM-DD`**T**`hh:mm:ss.sss`**Z**

For example:

`2017-12-17T13:35:24.351Z`

The "T" separates the date from the time. The trailing "Z" indicates UTC time.

### Exchange codes <a href="#exchange-code" id="exchange-code"></a>

Find exchange codes here: [Broken link](https://docs.kaiko.com/rest-api/general/getting-started/broken-reference "mention").

### Instrument codes

Find instrument codes here: [Broken link](https://docs.kaiko.com/rest-api/general/getting-started/broken-reference "mention").&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/general/getting-started/api-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
